> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/web-javascript/getting-started/document-detector/sdk-builder-options/analytics.md).

# Analytics

Here is a list of all parameters that are accepted in the **analytics** object present in the Document Detector options.

<table data-header-hidden><thead><tr><th width="468"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Type</strong></td><td><strong>Default Value</strong></td></tr><tr><td><p><strong><code>enabled</code></strong></p><p>Indicates whether analytics tracking is enabled. When set to <strong><code>true</code></strong>, the SDK will track analytics data. If set to <strong><code>false</code></strong>, analytics tracking will be disabled.</p></td><td>boolean</td><td><strong><code>true</code></strong></td></tr><tr><td><p><strong><code>trackingId</code></strong></p><p>The tracking ID used for analytics. This ID uniquely identifies your application's analytics data and is required for tracking. Ensure that you provide a valid tracking ID when analytics tracking is enabled.</p></td><td>String</td><td><strong><code>undefined</code></strong></td></tr><tr><td><p><strong><code>trackingInfo</code></strong></p><p>Specifies additional information to be included in analytics events tracked by the SDK. This parameter allows developers to include custom properties, metadata, or context data to enrich the analytics data collected. It should be provided as an object containing key-value pairs of additional information.</p></td><td>Object</td><td><strong><code>{}</code></strong></td></tr><tr><td><p><strong><code>enableDebugMode</code></strong></p><p>Indicates whether debug mode is enabled. When set to <strong><code>true</code></strong>, the SDK will send additional logs for deeper data analysis. If set to <strong><code>false</code></strong>, only standard logs will be sent.</p></td><td>boolean</td><td><strong><code>false</code></strong></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/web-javascript/getting-started/document-detector/sdk-builder-options/analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
